import { IListConfig } from './list-config.model';

export const customerListConfig: IListConfig = {
  pageTitle: 'مدیریت مشتری‌ها',
  addNewCtaLabel: 'افزودن مشتری',
  emptyPlaceholderTitle: 'مشتری‌ای یافت نشد',
  emptyPlaceholderDescription: 'برای افزودن مشتری، روی دکمهٔ بالا کلیک کنید.',
  columns: [
    {
      field: 'type',
      header: 'نوع مشتری',
      customDataModel(item: any) {
        return item.type === 'LEGAL' ? 'حقوقی' : 'حقیقی';
      },
    },
    {
      field: 'name',
      header: 'عنوان',
      customDataModel(item: any) {
        if (item.type === 'LEGAL') {
          return item.legal?.company_name;
        }
        return `${item.individual?.first_name} ${item.individual?.last_name}`;
      },
    },
    {
      field: 'economic_code',
      header: 'کد اقتصادی',
      customDataModel(item: any) {
        if (item.type === 'LEGAL') {
          return item.legal?.economic_code;
        }
        return item.individual?.economic_code;
      },
    },
    {
      field: 'created_at',
      header: 'تاریخ ایجاد',
      type: 'date',
    },
  ],
};
